DHCP reservations on MS DHCP servers with PXEClient defined
Assignee:    
Target version: 1.3.0   

Difficulty:  Fixed in Releases:  
Pull request:    

Description

On our internal MS DHCP servers PXEClient is set to PXEClient (probably pretty common). This makes from what I understand

make the pxe boot rom try to contact the dhcp server on port 4011 to obtain the boot file. This fails and the machine will not pxe boot.

http://www.sempersoftware.com/what-option-60

http://www.experts-exchange.com/Networking/Misc/A_2978-PXEClient-what-is-it-for-Can-I-use-PXE-without-it.html

I have created a pull request which tries to mitigate this issue by setting option 60 to empty string for the reservation.

https://github.com/theforeman/smart-proxy/pull/105

Related issues:

Related to Smart Proxy - Bug #5995: Windows AD DHCP reservation creation fail... Duplicate 05/30/2014

Associated revisions

Revision 296617ac - 09/08/2013 07:31 AM - Tomas Edwardsson

fixes #2870 - Always empty PXEClient on native_ms

History

#1 - 08/05/2013 11:16 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category set to DHCP

- Status changed from New to Ready For Testing

- Target version set to 1.3.0

#2 - 09/08/2013 07:52 AM - Tomas Edwardsson

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 296617acd29db1759cc5b5bfffad39398e3773a4.

#3 - 06/12/2014 08:42 AM - Oliver Weinmann

Hi Guys,

I opened a ticket for another MS dhcp issue: http://projects.theforeman.org/issues/5995. It seems that this fix broke my ms dhcp configuration. On my

MS Dhcp Windows 2008 R2 there is no option 60. Since the option doesn't exist, the smart proxy was failing to create the dhcp entry. Can you maybe

change the code so that the option is only set if available?

#4 - 06/12/2014 01:32 PM - Dominic Cleal

- Related to Bug #5995: Windows AD DHCP reservation creation fails with "The specified option does not exist" added
